=== debian/changelog ===
gap (4r7p5-2) unstable; urgency=low

  * gap-core.triggers: use interest-noawait. Thanks Guillem Jover.
    Closes: #772869

 -- Bill Allombert <ballombe@debian.org>  Sun, 14 Dec 2014 20:35:04 +0100

gap (4r7p5-1) unstable; urgency=low

  * New upstream release
   + Note that gap-gdat 4r7p5 is identical to gap-gdat 4r7p3.
   + Patches applied upstream:
    - gac-itanium: removed
    - gap-fix-alignment: removed
  * New patches added:
   - fix-basecc: force GAP to use gcc as the compiler name
  * debian/control, debian/doc/gap2deb:
    - Use improved Description from upstream. Closes: #637357 
  * debian/rules
    - Add -Wl,-z,relro to LDFLAGS

 -- Bill Allombert <ballombe@debian.org>  Thu, 03 Jul 2014 19:04:26 +0200

gap (4r7p4-1) unstable; urgency=low

  * New upstream release.
   + Note that gap-gdat 4r7p4 is identical to gap-gdat 4r7p3.
   + Patches applied upstream:
    - manualindex-sh: removed
    - update-convert.pl: removed
    - configure-fpic: removed
  * New patches added:
   - gap-fix-alignment: upstream patch to fix alignment issues on sparc.
   - fix-compressed-six-files: read compressed six files correctly.
   - upstream-env-tmpdir from Jerome Benoit: Honour TMPDIR. Closes: #733672

 -- Bill Allombert <ballombe@debian.org>  Fri, 28 Feb 2014 18:26:16 +0100

gap (4r7p2-1) unstable; urgency=low

  * New upstream release:
   + Patches applied upstream:
     - mips-macfloat: removed
     - hurd-task_self: removed
     - configure-abi: removed
     - configure-fpic: updated
     - configure-ncurses: removed
     - gac-object: removed
     - gac-o: removed
  * New patches added:
    - gac-itanium: Fix gac on ia64
    - manualindex-sh: add /bin/sh to doc/manualindex-sh
    - program-path: add bin to pkg installation path.
    - update-convert.pl: upstream patch to update convert.pl for current doc.
  * debian/doc:
    + gap2deb: script to generate debian directory from PackageInfo.g scripts
  * debian/control:
    - Bump Standards-Version to 3.9.5.
    - gap-dev: Add Depends on libgmp-dev. Closes: #734448. 
      Thanks Jérome Benoit.

 -- Bill Allombert <ballombe@debian.org>  Thu, 20 Feb 2014 14:23:11 +0100
