=== debian/control ===
Source: gap
Section: math
Priority: optional
Maintainer: Bill Allombert <ballombe@debian.org>
Build-Depends: debhelper (>= 5.0.0), autotools-dev, libgmp-dev, libreadline-dev, gap-gapdoc
Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml, help2man
Standards-Version: 3.9.5
Homepage: http://www.gap-system.org/

Package: gap
Architecture: all
Depends: gap-core, gap-libs, gap-online-help, ${misc:Depends}
Recommends: gap-doc,gap-dev,gap-trans-groups,gap-prim-groups,gap-small-groups
Suggests: gap-small-groups-extra,gap-character-tables,gap-table-of-marks
Description: computer algebra system for Groups, Algorithms and Programming
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This is a dummy package that depends on the standard GAP components.

Package: gap-core
Architecture: any
Depends: ${shlibs:Depends}, gap-libs (=${source:Version}), ${misc:Depends}
Recommends: gap-online-help
Suggests: gap-doc,gap-dev,gap-trans-groups,gap-prim-groups,gap-small-groups
Replaces: gap (<< 4r3n4), gap-dev (<< 4r4p6)
Description: GAP computer algebra system, core components
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the core GAP system.

Package: gap-libs
Architecture: all
Depends: ${misc:Depends}, gap-gapdoc
Description: GAP computer algebra system, essential GAP libraries
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the essential GAP libraries (lib and grp).

Package: gap-dev
Section: devel
Architecture: any
Depends: gap-core (=${binary:Version}), gcc, ${misc:Depends}, libgmp-dev
Description: GAP computer algebra system, compiler and development files
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the GAP compiler and the headers files and
 objects files necessary to build GAP packages.
 .
 The GAP compiler (GAC) creates C code from GAP code and then calls
 the system's C compiler to produce machine code from it. This can
 result in a speedup.

Package: gap-online-help
Architecture: all
Depends: gap-core, ${misc:Depends}
Description: GAP computer algebra system, online help
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the documentation in TeX format needed for the online
 help system.

Package: gap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: gap
Description: GAP computer algebra system, documentation
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the documentation in HTML and PDF formats.
