## gap 4r7p7

=== debian/changelog ===
gap (4r7p7-3) unstable; urgency=low

  * patch:
    - fix-convert.pl: update for gapdoc -> GAPDoc change
    - doc-makefile: use gzip --no-name
  * debian/doc/gap2deb:
    - adds support for multiple documents and tests.

 -- Bill Allombert <ballombe@debian.org>  Sun, 03 May 2015 13:52:00 +0200

gap (4r7p7-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules, debian/doc/gap2deb:
    - Build with gap-gapdoc 1.5.1-2.
  * debian/control:
    - Bump Standards-Version to 3.9.6.

 -- Bill Allombert <ballombe@debian.org>  Thu, 30 Apr 2015 22:22:32 +0200

gap (4r7p7-1) experimental; urgency=low

  * New upstream release. Closes: #778986
  + Note that gap-gdat 4r7p7 is identical to gap-gdat 4r7p3.

 -- Bill Allombert <ballombe@debian.org>  Sat, 28 Feb 2015 18:07:55 +0100
