=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 prep: prep-stamp
 prep-stamp:
 	mkdir pkg
-	ln -s /usr/share/gap/pkg/gapdoc pkg
+	ln -s /usr/share/gap/pkg/GAPDoc pkg
 	touch prep-stamp
 
 build-arch:  config.status build-arch-stamp
