## gap 4r7p8

=== debian/changelog ===
gap (4r7p8-1) unstable; urgency=low

  * New upstream release
  * new patch:
    - fix-testinstall.g: disable tests that require gap-gdat to be available
  * debian/rules: run the test "tst/testinstall.g"
  * debian/watch: add opts=pasv

 -- Bill Allombert <ballombe@debian.org>  Wed, 17 Jun 2015 18:41:38 +0200
