## gap 4r7p9

=== debian/changelog ===
gap (4r7p9-1) unstable; urgency=low

  * New upstream release
    + Note that gap-gdat 4r7p9 is identical to gap-gdat 4r7p8.
  * debian/doc/Makefile: use gzip --no-name

 -- Bill Allombert <ballombe@debian.org>  Mon, 07 Dec 2015 19:43:27 +0100
