=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Build-Depends: debhelper (>= 5.0.0), autotools-dev, libgmp-dev, libreadline-dev, gap-gapdoc
+Build-Depends: debhelper (>= 5.0.0), autotools-dev, libgmp-dev, libreadline-dev,
+               gap-gapdoc (>= 1.5.1-2)
 Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml, help2man
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.gap-system.org/
 
 Package: gap
