=== debian/rules ===
--- 
+++ 
@@ -40,10 +40,10 @@
 	$(MAKE) "CFLAGS=$(CFLAGS) -fPIC" compile
 	mv bin/*/ pic
 	$(MAKE) "CFLAGS=$(CFLAGS)" compile
-	#Run a basic test.
-	echo 'ReadTest("tst/combinat.tst");'| bin/*/gap -q | tee debian/gap.tst
-	grep -q "^true" debian/gap.tst 
-
+ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
+	echo 'Read("tst/testinstall.g");'| bin/*/gap -q -l . | tee debian/gap.tst
+	! grep "^########" debian/gap.tst 
+endif
 	touch build-arch-stamp
 
 build-indep: config.status  build-indep-stamp
