## gap 4r8p4

=== debian/changelog ===
gap (4r8p4-1build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:01:42 +0000

gap (4r8p4-1) unstable; urgency=low

  * New upstream release
    + Note that gap-gdat 4r8p4 is identical to gap-gdat 4r8p3.
  * patches:
    - fix-pperm: removed: applied upstream
    - fix-MY_CLOCK: partially merged upstream
    - gac-object: removed: applied upstream
    - remove-infopackage-warning: disable warning for missing packages by
      default.
  * debian/control:
    - gap: Adjust Recommends/Suggests list to include the new packages
      available and to match PackagesToLoad.
  * doc: Fix cross-references to other GAP packages.
    + debian/control:
      - Build-Depends-Indep on gap-character-tables, gap-atlasrep
    + debian/rules:
      - Add links to ctbllib and atlasrep in pkg.

 -- Bill Allombert <ballombe@debian.org>  Wed, 22 Jun 2016 20:53:32 +0200

gap (4r8p3-3) unstable; urgency=low

  * patches:
    - convert.pl-repro: apply fix for SOURCE_DATE_EPOCH from Jerome Benoit.
      Closes: #821302.
    - fix-MY_CLOCK: disable assert related to siginfo on non-linux systems.
  * debian/rules: 
    - fix test-suite failure detection
    - Add support for DEB_BUILD_OPTIONS=notest
    - Install CHANGES as upstream changelog.
  * debian/doc/gap-policy.sgml:
    - Clarify that GAP_CONVERT_DATE is not interpolated.  Closes: #821304.
  * debian/gap2deb: 
    - Install gap2deb in /usr/bin
    - Add manpage.
    - Bump Standards-Version to 3.9.7.
    - Use debian.gap2deb when debian already exists.
  * debian/doc/gap2man, debian/control:
    - Fix generation of manpage and improve output. Closes: #823125
    - move help2man to Build-Depends

 -- Bill Allombert <ballombe@debian.org>  Tue, 03 May 2016 21:36:35 +0200

gap (4r8p3-2) unstable; urgency=low

  * New patches to fix test suite errors:
    - fix-test-dir: disable tests that rely on $HOME which is not available
      in buildd.
    - fix-pperm: fix QuoPPerm22 on bigendian systems.
    - fix-MY_CLOCK: disable use of CLOCK_THREAD_CPUTIME_ID on non-linux
      systems.

 -- Bill Allombert <ballombe@debian.org>  Fri, 15 Apr 2016 21:36:10 +0200

gap (4r8p3-1) unstable; urgency=low

  * New upstream release. Closes: #819467
  * patches:
    - fix-testinstall.g: fix tests not to require gap-gdat
    - fix-convert.pl: updated
    - gac-object: added: add missing profile.o
    - convert.pl-repro: added. Allow reproducible build by setting
      GAP_CONVERT_DATE or SOURCE_DATE_EPOCH. We recommend to set
      GAP_CONVERT_DATE to the date in the upstream manual to reduce
      differences.  Closes: #819730, #820745. Thanks Jerome Benoit.
    - gap-version-repro: added. Make gap_version.h reproductible.
  * sysinfo.gap: 
    - Set GAParch to $DEB_HOST_MULTIARCH-gcc.
    - Add symlink sysinfo.gap-debian -> sysinfo.gap. Closes: #736398
  * debian/control:
    - Bump Standards-Version to 3.9.7.
  * debian/doc/gap2deb:
    - watch: add opts=pasv
  * debian/doc/gap.1:
    - update manpage
  * debian/doc/gap-policy.sgml:
    - Document GAP_CONVERT_DATE and convert.pl.
  * debian/rules: 
    - Set DEB_HOST_MULTIARCH with dpkg-architecture.
    - Set SOURCE_DATE_EPOCH.
    - Make sure manualindex is executable
    - add /usr/include/gap/config.h indirection.
      Closes: #819985. Thanks Julien Cristau

 -- Bill Allombert <ballombe@debian.org>  Tue, 12 Apr 2016 13:32:23 +0200
