=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 DEB_HOST_GNU_CPU    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
 
 triplet = $(DEB_HOST_MULTIARCH)
 gaptriplet = usr/lib/$(triplet)/gap
@@ -26,7 +28,7 @@
 
 config.status: configure
 	dh_testdir
-	LDFLAGS=$(LDFLAGS) ./configure --host=$(DEB_HOST_GNU_TYPE) --target=$(DEB_HOST_GNU_TYPE)  --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gmp=system
+	GAPHOST=$(DEB_HOST_MULTIARCH) LDFLAGS=$(LDFLAGS) ./configure --host=$(DEB_HOST_GNU_TYPE) --target=$(DEB_HOST_GNU_TYPE)  --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gmp=system
 
 prep: prep-stamp
 prep-stamp:
@@ -41,14 +43,19 @@
 	mv bin/*/ pic
 	$(MAKE) "CFLAGS=$(CFLAGS)" compile
 ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
-	echo 'Read("tst/testinstall.g");'| bin/*/gap -q -l . | tee debian/gap.tst
-	! grep "^########" debian/gap.tst 
+	echo 'Read("tst/testinstall.g");' \
+          | bin/*/gap -A -x 80 -r -m 100m -o 1g -q -l . \
+          | tee debian/gap.tst
+	grep "No errors detected while testing" debian/gap.tst 
 endif
+	$(MAKE) -C debian/doc gap.1
 	touch build-arch-stamp
 
 build-indep: config.status  build-indep-stamp
 build-indep-stamp: build-arch-stamp
 	dh_testdir
+	ln -s /usr/share/gap/pkg/AtlasRep pkg
+	ln -s /usr/share/gap/pkg/ctbllib pkg
 	env GAP_DIR=`pwd` $(MAKE) manuals
 	$(MAKE) -C debian/doc
 
@@ -81,10 +88,14 @@
 	dh_install -a
 	dh_install -p gap-dev pic/*.o ${gaptriplet}/bin
 	dh_install -p gap-dev pic/sysinfo.gap pic/config.h ${gaptriplet}/bin
-	dh_install -p gap-dev pic/config.h /usr/include/${triplet}/gap
 	dh_install -p gap-dev src/*.h /usr/include/gap
+	dh_install -p gap-dev pic/config.h /usr/include/${triplet}/gap/
+	(cd debian/gap-dev/usr/include/${triplet}/gap/ && mv config.h config-arch.h)
+	echo '#include <gap/config-arch.h>' > debian/gap-dev/usr/include/gap/config.h
+	chmod 644 debian/gap-dev/usr/include/gap/config.h
 	dh_link -p gap-dev ${gaptriplet}/bin /usr/lib/gap/`echo bin/*-gcc-*`
-	
+	install -m 755 doc/manualindex debian/gap-core/usr/share/gap/etc
+	dh_install -p gap-core sysinfo.gap /usr/lib/gap
 	install -m 644 sysinfo.gap debian/gap-core/usr/lib/gap
 	install -m 755 -d debian/gap-core/${gaptriplet}/bin
 	install -m 755 bin/*/gap debian/gap-core/${gaptriplet}/bin
@@ -113,6 +124,7 @@
 	
 	dh_installdirs -i
 	dh_install -i
+	dh_installdocs -p gap-doc CITATION CONTRIBUTING.md README.md
 	dh_installdocs -i --all debian/changelog-*.Debian
 	dh_installexamples -i 
 	dh_installinfo -i
@@ -135,9 +147,9 @@
 binary-arch: build-arch install-arch
 	dh_testdir -a
 	dh_testroot -a
-	dh_strip -a
+	dh_strip -a --no-automatic-dbgsym
 	dh_link -a
-	dh_compress -a -X gap2deb
+	dh_compress -a
 	dh_fixperms -a
 	dh_installdeb -a
 	dh_shlibdeps -a
