## gap 4r8p6

=== debian/changelog ===
gap (4r8p6-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Sun, 05 Mar 2017 20:46:57 +0100

gap (4r8p6-2) unstable; urgency=medium

  * New patch:
    - upstream-fix-buffering: from Christopher Jefferson.  Closes: #844789
      Fix a buffering issue after loading a workspace.
  * Add dbgsym packages

 -- Bill Allombert <ballombe@debian.org>  Sun, 18 Dec 2016 10:03:11 +0100

gap (4r8p6-1) unstable; urgency=medium

  * New upstream release
    + Note that gap-gdat 4r8p6 is identical to gap-gdat 4r8p5.
    + fix-gzip-stringfile: removed: applied upstream

 -- Bill Allombert <ballombe@debian.org>  Thu, 17 Nov 2016 15:45:52 +0100

gap (4r8p5-1) unstable; urgency=medium

  * New upstream release. New patch:
    + fix-gzip-stringfile: from upstream: fix gzip support in StringFile.

 -- Bill Allombert <ballombe@debian.org>  Wed, 05 Oct 2016 00:38:04 +0200
