=== debian/rules ===
--- 
+++ 
@@ -147,7 +147,7 @@
 binary-arch: build-arch install-arch
 	dh_testdir -a
 	dh_testroot -a
-	dh_strip -a --no-automatic-dbgsym
+	dh_strip -a
 	dh_link -a
 	dh_compress -a
 	dh_fixperms -a
