## gap 4r8p7

=== debian/changelog ===
gap (4r8p7-1) unstable; urgency=medium

  * New upstream release
    - Note that gap-gdat 4r8p7 is identical to gap-gdat 4r8p5.
    - patch upstream-fix-buffering: removed: applied upstream
    - fix-sparc64: added: configure support for sparc64
  * debian/control, debian/compat, debian/gap2deb
    - Bump Standards-Version to 4.0.0
    - Move to debhelper v9

 -- Bill Allombert <ballombe@debian.org>  Thu, 20 Jul 2017 12:45:51 +0200
