=== debian/control ===
--- 
+++ 
@@ -2,17 +2,22 @@
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Build-Depends: debhelper (>= 5.0.0), autotools-dev, libgmp-dev, libreadline-dev,
-               gap-gapdoc (>= 1.5.1-2)
-Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml, help2man
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9.0.0), autotools-dev, libgmp-dev, libreadline-dev,
+               gap-gapdoc (>= 1.5.1-2), help2man
+Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
+                     gap-character-tables, gap-atlasrep
+Standards-Version: 4.0.0
 Homepage: http://www.gap-system.org/
 
 Package: gap
 Architecture: all
 Depends: gap-core, gap-libs, gap-online-help, ${misc:Depends}
-Recommends: gap-doc,gap-dev,gap-trans-groups,gap-prim-groups,gap-small-groups
-Suggests: gap-small-groups-extra,gap-character-tables,gap-table-of-marks
+Recommends: gap-doc, gap-dev, gap-trans-groups, gap-prim-groups,
+            gap-small-groups,
+            gap-autpgrp, gap-alnuth, gap-character-tables, gap-polycyclic,
+            gap-table-of-marks
+Suggests: gap-small-groups-extra, gap-atlasrep, gap-float, gap-grape,
+          gap-guava, gap-io, gap-openmath, gap-radiroot, gap-scscp
 Description: computer algebra system for Groups, Algorithms and Programming
  GAP is a system for computational discrete algebra, with particular emphasis
  on Computational Group Theory. GAP provides a programming language, a library
