=== debian/changelog ===
gap (4r8p8-3) unstable; urgency=medium

  * debian/rules:
    - do not ship obsolete bin/sysinfo.gap file
  * debian/rules, debian/gap2deb:
    - support DEB_BUILD_OPTIONS nocheck. Thanks Helmut Grohne.
      Closes: #890260.
  * debian/control:
    - Mark gap-libs Multi-Arch: foreign

 -- Bill Allombert <ballombe@debian.org>  Mon, 19 Feb 2018 21:02:33 +0100

gap (4r8p8-2) unstable; urgency=medium

  * debian/control, debian/gap2deb:
    - Bump Standards-Version to 4.1.3
  * debian/control:
    - mark gap-doc Multi-Arch: foreign
  * debian/watch, debian/gap2deb:
    - switch from ftp to https URL.
  * debian/rules:
    - set FORCE_SOURCE_DATE = 1

 -- Bill Allombert <ballombe@debian.org>  Sat, 10 Feb 2018 21:59:03 +0100

gap (4r8p8-1) unstable; urgency=medium

  * New upstream release
    - Note that gap-gdat 4r8p8 is identical to gap-gdat 4r8p5.
  * debian/control:
    - gap-doc: Recommends gap-gapdoc. Closes: #872250.

 -- Bill Allombert <ballombe@debian.org>  Sat, 16 Sep 2017 23:14:57 +0200
