=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                gap-gapdoc (>= 1.5.1-2), help2man
 Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
                      gap-character-tables, gap-atlasrep
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://www.gap-system.org/
 
 Package: gap
@@ -46,6 +46,7 @@
 
 Package: gap-libs
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, gap-gapdoc
 Description: GAP computer algebra system, essential GAP libraries
  GAP is a system for computational discrete algebra, with particular emphasis
@@ -94,6 +95,8 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: gap-gapdoc
+Multi-Arch: foreign
 Suggests: gap
 Description: GAP computer algebra system, documentation
  GAP is a system for computational discrete algebra, with particular emphasis
