=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export FORCE_SOURCE_DATE = 1
 export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
 
 triplet = $(DEB_HOST_MULTIARCH)
@@ -42,7 +43,7 @@
 	$(MAKE) "CFLAGS=$(CFLAGS) -fPIC" compile
 	mv bin/*/ pic
 	$(MAKE) "CFLAGS=$(CFLAGS)" compile
-ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	echo 'Read("tst/testinstall.g");' \
           | bin/*/gap -A -x 80 -r -m 100m -o 1g -q -l . \
           | tee debian/gap.tst
@@ -87,7 +88,7 @@
 	dh_installdirs -a
 	dh_install -a
 	dh_install -p gap-dev pic/*.o ${gaptriplet}/bin
-	dh_install -p gap-dev pic/sysinfo.gap pic/config.h ${gaptriplet}/bin
+	dh_install -p gap-dev pic/config.h ${gaptriplet}/bin
 	dh_install -p gap-dev src/*.h /usr/include/gap
 	dh_install -p gap-dev pic/config.h /usr/include/${triplet}/gap/
 	(cd debian/gap-dev/usr/include/${triplet}/gap/ && mv config.h config-arch.h)
