=== debian/watch ===
version=3
https://www.gap-system.org/pub/gap/gap4core/gap(\dr\dp\d+)_nopackages.zip debian
