## gap 4r10p0

=== debian/changelog ===
gap (4r10p0-6) unstable; urgency=medium

  * New patch:
    - fix-libtool: Make libtool reproducible
  * debian/rules, debian/control: do not run libtoolize
  * debian/rules clean: remove file generated by configure

 -- Bill Allombert <ballombe@debian.org>  Mon, 07 Jan 2019 23:28:35 +0100

gap (4r10p0-5) unstable; urgency=medium

  * debian/rules: fix reproducibility issues:
    - run libtoolize and set paths in configure

 -- Bill Allombert <ballombe@debian.org>  Sat, 29 Dec 2018 11:58:29 +0100

gap (4r10p0-4) unstable; urgency=medium

  * debian/gap2deb, debian/control:
    - Bump Standards-Version to 4.3.0
  * debian/control:
    - gap: Update Recommends and Suggests list to reflect available
      GAP packages.
  * debian/rules: restore backward compatibility.
    - add back /usr/lib/gap/bin/$(GAPArch) symlink.
    - add back /usr/include/gap/src symlink.

 -- Bill Allombert <ballombe@debian.org>  Wed, 26 Dec 2018 20:16:59 +0100

gap (4r10p0-3) unstable; urgency=medium

  * New patches
    - fix-make_doc: from upstream: added
    - sage-2-kernel-add-helper: from upstream: for sage support
    - sage-3-Prototype-for-GAP: for sage support. Closes: #916640
  * debian/watch: use dversionmangle. Closes: #915061
  * debian/gap2deb: install manual.lab
  * gap-dev: remove circular symlink
     /usr/lib/gap/src -> /usr/include/gap
  * debian/rules: add support for DEB_BUILD_OPTIONS terse

 -- Bill Allombert <ballombe@debian.org>  Thu, 20 Dec 2018 00:22:26 +0100

gap (4r10p0-2) experimental; urgency=medium

  * New patch fix-test-bigendian: fix test on bigendian systems.
  * debian/gap2deb: update
  * gap-dev: add compatibility symlinks
     /usr/lib/gap/gac -> /usr/bin/gac,
     /usr/include/gap/src -> /usr/include/gap

 -- Bill Allombert <ballombe@debian.org>  Mon, 03 Dec 2018 20:53:59 +0100

gap (4r10p0-1) experimental; urgency=medium

  * New upstream release
    - patch fix-compressed-six-files: removed: fixed upstream
    - patches fix-Makefile, gac: updated
  * debian/control:
    - Add Build-Depends on zlib1g-dev
  * debian/rules:
    - Install experimental libgap.so . Closes: #912862
    - The arch-specific gap root is now /usr/lib/<triplet>/gap.
    - Binaries are now in /usr/lib/<triplet>/gap/obj (without bin).

 -- Bill Allombert <ballombe@debian.org>  Mon, 12 Nov 2018 22:05:23 +0100

gap (4r9p3-4) unstable; urgency=medium

  * debian/rules:
    - set LC_CTYPE=C.UTF-8 for tests 
    - support DEB_BUILD_OPTIONS terse.
    - remove duplication in build process.
  * debian/watch, debian/tarball:
    - fix regexp to allow multidigit version field
  * debian/gap2deb: Improve generated debian/rules
  * debian/control: Add Breaks on incompatible version of gap pkgs.

 -- Bill Allombert <ballombe@debian.org>  Wed, 28 Nov 2018 22:02:21 +0100

gap (4r9p3-3) unstable; urgency=medium

  * debian/control: fix B-D for test.

 -- Bill Allombert <ballombe@debian.org>  Fri, 09 Nov 2018 23:27:28 +0100

gap (4r9p3-2) unstable; urgency=low

  * patch: fix-makefile: remove -A flag from gap call
  * debian/control: add B-D for tests:
    - add Build-Depends on locales
    - add Build-Depends-Indep on gap-autpgrp, gap-transgrp, gap-primgrp
  * debian/rules:
    - run tests as 'make testinstall'
    - use filter instead of findstring
  * debian/gap2deb:
    - fix detection of README
    - add detection of CHANGES
    - better dh_install rules

 -- Bill Allombert <ballombe@debian.org>  Sat, 03 Nov 2018 16:39:47 +0100

gap (4r9p3-1) experimental; urgency=medium

  * New upstream release. Closes: #909297.
  * patches:
    - fix-sparc64, fix-MY_CLOCK: fixed upstream
    - upstream-env-tmpdir: applied upstream
    - gac: updated
    - fix-makefile: added
    - configure-gapdir, fix-basecc, fix-gaparch: fixed upstream
    - fix-testinstall.g: removed
    - gap-version-repro: fixed upstream
    - no-needed-pkg: added for bootstraping: mark Needed packages as
                     Autoloaded instead
  * debian/tarball: simplified, now use mk-origtargz
  * debian/control:
    - Bump Standards-Version to 4.2.1
    - Replace Recommends gap-trans-groups by gap-transgrp.
    - Replace Recommends gap-small-groups by gap-smallgrp.
    - Replace Recommends gap-prim-groups by gap-primgrp.
  * debian/watch: update
  * debian/gap2deb:
    - fix watch file
    - Bump Standards-Version to 4.2.1
    - add support for README and SOURCE_DATE_EPOCH
  * debian/rules: update for new build system
  * debian/doc/gac.1, debian/doc/gap.1: updated

 -- Bill Allombert <ballombe@debian.org>  Fri, 19 Oct 2018 12:31:34 +0200
