=== debian/control ===
--- 
+++ 
@@ -2,22 +2,25 @@
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Build-Depends: debhelper (>= 9.0.0), autotools-dev, libgmp-dev, libreadline-dev,
-               gap-gapdoc (>= 1.5.1-2), help2man
+Build-Depends: debhelper (>= 9.0.0), autotools-dev, 
+               libgmp-dev, libreadline-dev, zlib1g-dev,
+               gap-gapdoc (>= 1.5.1-2), help2man, locales,
+               gap-pkg-smallgrp, gap-pkg-transgrp, gap-pkg-primgrp
 Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
                      gap-character-tables, gap-atlasrep
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://www.gap-system.org/
 
 Package: gap
 Architecture: all
 Depends: gap-core, gap-libs, gap-online-help, ${misc:Depends}
-Recommends: gap-doc, gap-dev, gap-trans-groups, gap-prim-groups,
-            gap-small-groups,
+Recommends: gap-doc, gap-dev, gap-transgrp, gap-primgrp,
+            gap-smallgrp,
             gap-autpgrp, gap-alnuth, gap-character-tables, gap-polycyclic,
-            gap-table-of-marks
-Suggests: gap-small-groups-extra, gap-atlasrep, gap-float, gap-grape,
-          gap-guava, gap-io, gap-openmath, gap-radiroot, gap-scscp
+            gap-table-of-marks, gap-factint
+Suggests: gap-smallgrp-extra, gap-atlasrep, gap-design, gap-float, gap-grape,
+          gap-guava, gap-io, gap-laguna, gap-openmath, gap-radiroot, gap-scscp,
+          gap-sonata, gap-toric
 Description: computer algebra system for Groups, Algorithms and Programming
  GAP is a system for computational discrete algebra, with particular emphasis
  on Computational Group Theory. GAP provides a programming language, a library
@@ -32,8 +35,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, gap-libs (=${source:Version}), ${misc:Depends}
 Recommends: gap-online-help
-Suggests: gap-doc,gap-dev,gap-trans-groups,gap-prim-groups,gap-small-groups
+Suggests: gap-doc,gap-dev,gap-transgrp,gap-primgrp,gap-smallgrp
 Replaces: gap (<< 4r3n4), gap-dev (<< 4r4p6)
+Breaks: gap-float (<= 0.9.1+ds-3), gap-io (<= 4.5.4+ds-2), gap-scscp (<= 2.2.3+ds-1), gap-openmath (<= 11.4.2+ds-2)
 Description: GAP computer algebra system, core components
  GAP is a system for computational discrete algebra, with particular emphasis
  on Computational Group Theory. GAP provides a programming language, a library
