=== debian/rules ===
--- 
+++ 
@@ -20,34 +20,44 @@
 
 #strip is handled by dh_strip
 CFLAGS = -g -Wall
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -O0
 else
 CFLAGS += -O2
 endif
+export CFLAGS
+
 LDFLAGS = -Wl,-z,relro
+ifneq (,$(filter terse, $(DEB_BUILD_OPTIONS)))
+SILENT=""
+else
+SILENT="V=1"
+endif
 
 config.status: configure
 	dh_testdir
-	GAPHOST=$(DEB_HOST_MULTIARCH) LDFLAGS=$(LDFLAGS) ./configure --host=$(DEB_HOST_GNU_TYPE) --target=$(DEB_HOST_GNU_TYPE)  --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gmp=system
+	GAPHOST=$(DEB_HOST_MULTIARCH) LDFLAGS=$(LDFLAGS) ./configure --host=$(DEB_HOST_GNU_TYPE) --target=$(DEB_HOST_GNU_TYPE)  --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gmp=system SHELL=/bin/sh GREP=/bin/grep SED=/bin/sed DD=/bin/dd
 
 prep: prep-stamp
 prep-stamp:
 	mkdir pkg
 	ln -s /usr/share/gap/pkg/GAPDoc pkg
+	ln -s /usr/share/gap/pkg/AtlasRep pkg
+	ln -s /usr/share/gap/pkg/CTblLib pkg
+	ln -s /usr/share/gap/pkg/ctbllib pkg
+	ln -s /usr/share/gap/pkg/SmallGrp pkg
+	ln -s /usr/share/gap/pkg/PrimGrp pkg
+	ln -s /usr/share/gap/pkg/TransGrp pkg
 	touch prep-stamp
 
 build-arch:  config.status build-arch-stamp
 build-arch-stamp: prep-stamp
 	dh_testdir
-	$(MAKE) "CFLAGS=$(CFLAGS) -fPIC" compile
-	mv bin/*/ pic
-	$(MAKE) "CFLAGS=$(CFLAGS)" compile
+	$(MAKE) all libgap.la $(SILENT)
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	echo 'Read("tst/testinstall.g");' \
-          | bin/*/gap -A -x 80 -r -m 100m -o 1g -q -l . \
-          | tee debian/gap.tst
-	grep "No errors detected while testing" debian/gap.tst 
+	env GAP_DIR=`pwd` LC_CTYPE=C.UTF-8 \
+          $(MAKE) testinstall $(SILENT) | tee debian/gap.tst
+	#! grep "^########" debian/gap.tst
 endif
 	$(MAKE) -C debian/doc gap.1
 	touch build-arch-stamp
@@ -55,9 +65,7 @@
 build-indep: config.status  build-indep-stamp
 build-indep-stamp: build-arch-stamp
 	dh_testdir
-	ln -s /usr/share/gap/pkg/AtlasRep pkg
-	ln -s /usr/share/gap/pkg/ctbllib pkg
-	env GAP_DIR=`pwd` $(MAKE) manuals
+	env GAP_DIR=`pwd` LC_CTYPE=C.UTF-8 $(MAKE) doc $(SILENT)
 	$(MAKE) -C debian/doc
 
 	touch build-indep-stamp
@@ -69,13 +77,14 @@
 	dh_testroot
 	rm -f build-arch-stamp build-indep-stamp prep-stamp
 
-	if [ -f Makefile ]; then $(MAKE) clean; fi
+	cp -p configure configure.good && $(MAKE) distclean && mv configure.good configure
+	cd cnf && rm -f GAP-VERSION-FILE GAP-CFLAGS GAP-CPPFLAGS GAP-LDFLAGS GAP-LIBS GAP-OBJS
 
 	$(MAKE) -C doc clean
 	$(MAKE) -C debian/doc clean
 
 	rm -f sysinfo.gap 
-	rm -rf bin pkg pic
+	rm -rf bin pkg .libs
 	rm -f debian/gap.tst
 
 	dh_clean
@@ -87,26 +96,32 @@
 	dh_prep -a
 	dh_installdirs -a
 	dh_install -a
-	dh_install -p gap-dev pic/*.o ${gaptriplet}/bin
-	dh_install -p gap-dev pic/config.h ${gaptriplet}/bin
-	dh_install -p gap-dev src/*.h /usr/include/gap
-	dh_install -p gap-dev pic/config.h /usr/include/${triplet}/gap/
+	dh_install -p gap-dev obj ${gaptriplet}
+	rm -r debian/gap-dev/${gaptriplet}/obj/*/.deps
+	$(MAKE) install-headers DESTDIR=$(CURDIR)/debian/gap-dev/ $(SILENT)
+	dh_install -p gap-dev gen/config.h /usr/include/${triplet}/gap/
 	(cd debian/gap-dev/usr/include/${triplet}/gap/ && mv config.h config-arch.h)
 	echo '#include <gap/config-arch.h>' > debian/gap-dev/usr/include/gap/config.h
+	dh_link -p gap-dev ${gaptriplet}/obj /usr/lib/gap/`echo bin/*-default*`
 	chmod 644 debian/gap-dev/usr/include/gap/config.h
-	dh_link -p gap-dev ${gaptriplet}/bin /usr/lib/gap/`echo bin/*-gcc-*`
+	install -m 755 -d debian/gap-dev/usr/include/gap/src
+	for i in $$(cd debian/gap-dev && echo usr/include/gap/*.h); do \
+	  dh_link -p gap-dev $$i usr/include/gap/src/$$(basename $$i); done
 	install -m 755 doc/manualindex debian/gap-core/usr/share/gap/etc
-	dh_install -p gap-core sysinfo.gap /usr/lib/gap
-	install -m 644 sysinfo.gap debian/gap-core/usr/lib/gap
-	install -m 755 -d debian/gap-core/${gaptriplet}/bin
-	install -m 755 bin/*/gap debian/gap-core/${gaptriplet}/bin
+	dh_install -p gap-core sysinfo.gap usr/lib/gap
+	dh_install -p gap-core sysinfo.gap ${gaptriplet}
+	$(MAKE) install-libgap DESTDIR=$(CURDIR)/debian/gap-core/ libdir=/${gaptriplet} $(SILENT)
+	rm debian/gap-core/${gaptriplet}/libgap.la
+	install -m 755 -d debian/gap-core/${gaptriplet}
+	install -m 755 bin/*/gap debian/gap-core/${gaptriplet}
+	install -m 755 libtool debian/gap-core/${gaptriplet}
 	install -m 755 debian/gap.debian debian/gap-core/usr/bin/gap
-	perl -pi -e "s,\@GAP_PRG\@,/${gaptriplet}/bin/gap,g" \
+	perl -pi -e "s,\@GAP_PRG\@,/${gaptriplet}/gap,g" \
                  debian/gap-core/usr/bin/gap
 	install -m 755 bin/*/gac debian/gap-dev/usr/bin/gac
-	perl -pi -e "s,\@GAP_BIN\@,/${gaptriplet}/bin,g" \
+	perl -pi -e "s,\@GAP_BIN\@,/${gaptriplet},g" \
                  debian/gap-dev/usr/bin/gac
-	
+
 	dh_installdocs -a --all debian/changelog-*.Debian
 	dh_installexamples -a
 	dh_installmenu -a
