## gap 4r10p2

=== debian/changelog ===
gap (4r10p2-2) unstable; urgency=medium

  * Source-only upload
  * debian/control: update Breaks:

 -- Bill Allombert <ballombe@debian.org>  Sat, 20 Jul 2019 17:23:20 +0200

gap (4r10p2-1) unstable; urgency=medium

  * New upstream release. Patches:
    - fix-make_doc: removed, merged upstream
    - sage-1-pr-3102, sage-2-kernel-add-helper, sage-3-Prototype-for-GAP: 
      removed, merged upstream
  * debian/gap2deb, debian/control:
    - Bump Standards-Version to 4.4.0

 -- Bill Allombert <ballombe@debian.org>  Tue, 09 Jul 2019 12:57:33 +0200

gap (4r10p0-7) unstable; urgency=medium

  * New patch:
    - sage-1-pr-3102: from upstream for sage support. Closes: #919679
  * debian/control, debian/rules
    - add Build-Depends-Indep on gap-table-of-marks

 -- Bill Allombert <ballombe@debian.org>  Mon, 21 Jan 2019 12:19:06 +0100
