=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                gap-gapdoc (>= 1.5.1-2), help2man, locales,
                gap-pkg-smallgrp, gap-pkg-transgrp, gap-pkg-primgrp
 Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
-                     gap-character-tables, gap-atlasrep
-Standards-Version: 4.3.0
+                     gap-character-tables, gap-atlasrep, gap-table-of-marks
+Standards-Version: 4.4.0
 Homepage: http://www.gap-system.org/
 
 Package: gap
@@ -37,7 +37,7 @@
 Recommends: gap-online-help
 Suggests: gap-doc,gap-dev,gap-transgrp,gap-primgrp,gap-smallgrp
 Replaces: gap (<< 4r3n4), gap-dev (<< 4r4p6)
-Breaks: gap-float (<= 0.9.1+ds-3), gap-io (<= 4.5.4+ds-2), gap-scscp (<= 2.2.3+ds-1), gap-openmath (<= 11.4.2+ds-2)
+Breaks: gap-float (<= 0.9.1+ds-4), gap-io (<= 4.6.0+ds-2), gap-scscp (<= 2.2.3+ds-1), gap-openmath (<= 11.4.2+ds-4), gap-guava (<= 3.14+ds-1)
 Description: GAP computer algebra system, core components
  GAP is a system for computational discrete algebra, with particular emphasis
  on Computational Group Theory. GAP provides a programming language, a library
