=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,7 @@
 	ln -s /usr/share/gap/pkg/AtlasRep pkg
 	ln -s /usr/share/gap/pkg/CTblLib pkg
 	ln -s /usr/share/gap/pkg/ctbllib pkg
+	ln -s /usr/share/gap/pkg/TomLib pkg
 	ln -s /usr/share/gap/pkg/SmallGrp pkg
 	ln -s /usr/share/gap/pkg/PrimGrp pkg
 	ln -s /usr/share/gap/pkg/TransGrp pkg
