=== debian/watch ===
version=3
options=dversionmangle=s/(\d+)r(\d+)p(\d+)/$1.$2.$3/ \
https://www.gap-system.org/pub/gap/gap4core/gap-(\d+\.\d+\.\d+)-core.zip debian
